﻿using System.Collections.Generic;

namespace Gladiator
{
    public enum TelegraphShape
    {
        None,
        Cone,
        Circle,
        Rectangle
    }

    public static class SpellShapeDatabase
    {
        public static Dictionary<uint, TelegraphShape> SpellShapes = new Dictionary<uint, TelegraphShape>
        {
            {545, TelegraphShape.Cone},
            {351, TelegraphShape.Cone},
            {352, TelegraphShape.Cone},
            {444, TelegraphShape.Cone},
            {498, TelegraphShape.Cone},
            {517, TelegraphShape.Cone},
            {528, TelegraphShape.Cone},
            {720, TelegraphShape.Cone},
            {446, TelegraphShape.Cone},
            {506, TelegraphShape.Cone},
            {518, TelegraphShape.Cone},
            {580, TelegraphShape.Cone},
            {604, TelegraphShape.Cone},
            {606, TelegraphShape.Cone},
            {618, TelegraphShape.Cone},
            {356, TelegraphShape.Cone},
            {937, TelegraphShape.Cone}
        };
    }
}